flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephan Ewen (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (FLINK-2075) Shade akka and protobuf dependencies away
Date Sat, 14 Oct 2017 16:03:00 GMT

     [ https://issues.apache.org/jira/browse/FLINK-2075?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Stephan Ewen resolved FLINK-2075.
---------------------------------
       Resolution: Done
    Fix Version/s: 1.4.0
     Release Note: Solved by upgrading to a newer Akka version in FLINK-7810

> Shade akka and protobuf dependencies away
> -----------------------------------------
>
>                 Key: FLINK-2075
>                 URL: https://issues.apache.org/jira/browse/FLINK-2075
>             Project: Flink
>          Issue Type: Improvement
>          Components: Build System
>            Reporter: Till Rohrmann
>             Fix For: 1.4.0, 1.0.0
>
>
> Lately, the Zeppelin project encountered the following problem: It includes flink-runtime
which depends on akka_remote:2.3.7 which again depends on protobuf-java:2.5.0. However, Zeppelin
set the protobuf-java version to 2.4.1 to make it build with YARN 2.2. Due to this, akka_remote
finds a wrong protobuf-java version and fails because of an incompatible change between these
versions.
> I propose to shade Flink's akka dependency and protobuf dependency away, so that user
projects depending on Flink are not forced to use a special akka/protobuf version.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message